# -*- mode: python; coding: utf-8 -*-
# Copyright (C) 2017-2019 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.shortcuts import render
from django.template.context_processors import csrf

from med.settings import services_urls


def form(ctx, template, request):
    c = ctx
    c.update(csrf(request))
    return render(request, template, c)


def index(request):
    i = 0
    services = [{}]
    for key, s in services_urls.items():
        if len(services) <= i:
            services += [{}]
        services[i][key] = s
        i = i + 1 if i < 2 else 0

    return form({'services_urls': services}, 'med/index.html', request)
